# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88.0"
name = "puniyu_version"
version = "0.8.0"
authors = ["wuliya <3369906077@qq.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "puniyu 轻量版本号类型，提供三段式语义版本表示与 semver 互转"
homepage = "https://github.com/puniyu/puniyu"
readme = "README.md"
license = "LGPL-3.0-only"
repository = "https://github.com/puniyu/puniyu"
resolver = "2"

[lib]
name = "puniyu_version"
path = "src/lib.rs"

[[test]]
name = "version"
path = "tests/version.rs"

[dependencies.derive_more]
version = "2.1.1"
features = ["display"]

[dependencies.semver]
version = "1.0.27"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1.0"

[lints.clippy]
unwrap_used = "deny"
